package com.ss.android.ugc.aweme.services.storage;

import X.7he;
import X.AnonymousClass73X;
import X.C39436g9;
import X.C40246hS;
import X.C45696qF;
import X.C46936sF;
import X.C47236sj;
import X.C49556wT;
import X.Crj;
import com.bytedance.covode.number.Covode;

public final class AVStorageManagerImpl implements C47236sj {
    public final Crj allowListService$delegate = 7he.LIZ(AVStorageManagerImpl$allowListService$2.INSTANCE);
    public final Crj fileProvider$delegate = 7he.LIZ(AVStorageManagerImpl$fileProvider$2.INSTANCE);
    public final Crj monitor$delegate = 7he.LIZ(AVStorageManagerImpl$monitor$2.INSTANCE);
    public final Crj pathAdapter$delegate = 7he.LIZ(AVStorageManagerImpl$pathAdapter$2.INSTANCE);
    public final Crj pathService$delegate = 7he.LIZ(AVStorageManagerImpl$pathService$2.INSTANCE);
    public final Crj persistedAllowListManager$delegate = 7he.LIZ(AVStorageManagerImpl$persistedAllowListManager$2.INSTANCE);

    static {
        Covode.recordClassIndex(105433);
    }

    public final C40246hS getAllowListService() {
        return (C40246hS) this.allowListService$delegate.getValue();
    }

    public final C45696qF getFileProvider() {
        return (C45696qF) this.fileProvider$delegate.getValue();
    }

    public final AnonymousClass73X getMonitor() {
        return (AnonymousClass73X) this.monitor$delegate.getValue();
    }

    public final C49556wT getPathAdapter() {
        return (C49556wT) this.pathAdapter$delegate.getValue();
    }

    public final C39436g9 getPathService() {
        return (C39436g9) this.pathService$delegate.getValue();
    }

    public final C46936sF getPersistedAllowListManager() {
        return (C46936sF) this.persistedAllowListManager$delegate.getValue();
    }
}
